Bug 1234560 - Package should not ship a separate emacs sub-package
Summary: Package should not ship a separate emacs sub-package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: notmuch
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EmacsPackagingViolations
TreeView+ depends on / blocked
 
Reported: 2015-06-22 17:53 UTC by Jonathan Underwood
Modified: 2016-09-20 02:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-30 13:38:10 UTC


Attachments (Terms of Use)

Description Jonathan Underwood 2015-06-22 17:53:18 UTC
The Emacs add-on packaging guidelines no longer stipulate that packages which also bundle support for Emacs should split out those Emacs files into separate sub-packages. This package should instead ship those files with the main package which should also Require emacs-filesystem. See https://fedoraproject.org/wiki/Packaging:Emacs for more detail.

Comment 1 Jan Kurik 2015-07-15 13:56:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Jonathan Underwood 2015-09-16 22:52:13 UTC
This one is a case where a separate emacs subpackage does probably make sense in order to treat the emacs bindings on the same footing as the other language bindings (python, vim, etc).


Note You need to log in before you can comment on or make changes to this bug.